<!DOCTYPE HTML>
<html lang='fr'>

<head>
    <title>web 2 print</title>
    <meta charset="UTF-8">
    <style>
        html {
            --page-width: 155mm;
            --page-start: 30;
        }
        
        @media print {
            @page {
                size: 155mm 240mm;
            }
           
        }
        .api-img{
            max-width: 400px;
            min-width: 200px;
        }
    </style>
    <link rel="stylesheet" href="../../assets/css/layout.css">
    <link rel="stylesheet" href="regions.css">
    <link rel="stylesheet" href="../../assets/css/main.css">
    <link rel="stylesheet" href="style.css">
</head>

<body>
    <!-- LAYOUT -->
    <div class="page ">
        <div class="bloc">
            <div class="titles">
            </div>
        </div>
    </div>
    <div class="page page-article-1">
        <div class="bloc"></div>
    </div>

    <div class="page page-article-1">
        <div class="bloc"></div>
    </div>

    <div class="page page-article-1">
        <div class="bloc"></div>
    </div>

    <div class="page page-article-1">
        <div class="bloc"></div>
    </div>
    <div class="page page-article-1">
        <div class="bloc"></div>
    </div>
    <div class="page page-article-1">
        <div class="bloc"></div>
    </div>
    <div class="page page-article-1">
        <div class="bloc"></div>
    </div>
    <div class="page page-article-1">
        <div class="bloc"></div>
    </div>

    <div class="page">
        <div class="bloc"></div>
    </div>

    <div class="page">
        <div class="bloc">
                        <img src="images/img01" alt="" class= "api-img"id="mainImg1">
                        <img src="images/img01" alt="" class= "api-img"id="mainImg2">
                        <img src="images/img01" alt="" class= "api-img"id="mainImg3">
                        <img src="images/img01" alt="" class= "api-img"id="mainImg4">
                        <img src="images/img01" alt="" class= "api-img"id="mainImg5">
                        <img src="images/img01" alt="" class= "api-img"id="mainImg6">
                        </div> 
                        <a href="javascript:nextImage('mainImg')"><img src="images/next_img.png" alt=""></a>
    </div>

    <div class="page">
        <div class="bloc">
                        <img src="images/img01" alt="" class= "api-img"id="mainImg7">
                        <img src="images/img01" alt="" class= "api-img"id="mainImg8">
                        <img src="images/img01" alt="" class= "api-img"id="mainImg9">
                        <img src="images/img01" alt="" class= "api-img"id="mainImg10">
                        <img src="images/img01" alt="" class= "api-img"id="mainImg11">
                        <img src="images/img01" alt="" class= "api-img"id="mainImg12">
                        </div> 
                        <a href="javascript:nextImage('mainImg')"><img src="images/next_img.png" alt=""></a>
    </div>


    <div class="page page-article-2">
        <div class="bloc"></div>
    </div>

    <div class="page page-article-2">
        <div class="bloc"></div>
    </div>

    <div class="page page-article-2">
        <div class="bloc"></div>
    </div>

    <div class="page page-article-2">
        <div class="bloc"></div>
    </div>
    <!-- <div class="page empty">
        <div class="bloc"></div>
    </div> -->

    <!-- CONTENT -->
    <article id="article-1" data-src-chapter="../../content/chapitre-3-article-1.html"></article>
    <article id="article-2" data-src-chapter="../../content/chapitre-3-article-2.html"></article>

    <!-- CSS REGIONS-->
    <script src="../../lib/web-to-print-survival-kit.js"></script>
    <script id="jsRe" src="../../lib/cssregions.js"></script>
    <script src="script-api.js"></script>

    <script>
        let page_couv = document.querySelector("#page-couv");

        let rgb2;

    // for (let x = 0; x < 8; x++) {
        r = Math.floor(100 + (Math.random() * 255));
        g = Math.floor(100 + (Math.random() * 255));
        b = Math.floor(100 + (Math.random() * 255));
        rgb2 = "rgb(" + r + "," + g + "," + b + ")"; 
    // }

        page_couv.style.backgroundImage = "linear-gradient(to right, transparent 70%, "+ rgb2 + ")";
    </script>
</body>

</html>
